deviceManagement の更新
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
deviceManagement オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
アクセス許可はワークフローによって異なります。
| アクセス 許可の 種類 ( ワークフロー別) | アクセス許可 (特権の大きいものから小さいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | |
| Android for Work | DeviceManagementConfiguration.ReadWrite.All |
| 監査 | DeviceManagementApps.ReadWrite.All |
| 会社の用語 | DeviceManagementServiceConfig.ReadWrite.All |
| デバイス構成 | DeviceManagementConfiguration.ReadWrite.All |
| デバイスの意図 | DeviceManagementConfiguration.ReadWrite.All |
| デバイスの管理 | DeviceManagementManagedDevices.ReadWrite.All |
| 電子 SIM | DeviceManagementConfiguration.ReadWrite.All |
| 登録 | DeviceManagementServiceConfig.ReadWrite.All |
| フェンシング | DeviceManagementConfiguration.ReadWrite.All |
| 通知 | DeviceManagementServiceConfig.ReadWrite.All |
| Odj | DeviceManagementServiceConfig.ReadWrite.All |
| オンボーディング | DeviceManagementServiceConfig.ReadWrite.All |
| ポリシー セット | DeviceManagementServiceConfig.ReadWrite.All |
| 役割ベースのアクセス制御 (RBAC) | DeviceManagementRBAC.ReadWrite.All |
| リモート アクセス | DeviceManagementConfiguration.Read.All |
| リモート アシスタンス | DeviceManagementServiceConfig.ReadWrite.All |
| ソフトウェア更新プログラム | DeviceManagementServiceConfig.ReadWrite.All |
| 通信経費管理 | DeviceManagementServiceConfig.ReadWrite.All |
| Troublehooting | DeviceManagementManagedDevices.ReadWrite.All |
| Windows 情報保護 | DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | |
| Android for Work | DeviceManagementConfiguration.ReadWrite.All |
| 監査 | DeviceManagementApps.ReadWrite.All |
| 会社の用語 | DeviceManagementServiceConfig.ReadWrite.All |
| デバイス構成 | DeviceManagementConfiguration.ReadWrite.All |
| デバイスの意図 | DeviceManagementConfiguration.ReadWrite.All |
| デバイスの管理 | DeviceManagementManagedDevices.ReadWrite.All |
| 電子 SIM | DeviceManagementConfiguration.ReadWrite.All |
| 登録 | DeviceManagementServiceConfig.ReadWrite.All |
| フェンシング | DeviceManagementConfiguration.ReadWrite.All |
| 通知 | DeviceManagementServiceConfig.ReadWrite.All |
| Odj | DeviceManagementServiceConfig.ReadWrite.All |
| オンボーディング | DeviceManagementServiceConfig.ReadWrite.All |
| ポリシー セット | DeviceManagementServiceConfig.ReadWrite.All |
| 役割ベースのアクセス制御 (RBAC) | DeviceManagementRBAC.ReadWrite.All |
| リモート アクセス | DeviceManagementConfiguration.Read.All |
| リモート アシスタンス | DeviceManagementServiceConfig.ReadWrite.All |
| ソフトウェア更新プログラム | DeviceManagementServiceConfig.ReadWrite.All |
| 通信経費管理 | DeviceManagementServiceConfig.ReadWrite.All |
| Troublehooting | DeviceManagementManagedDevices.ReadWrite.All |
| Windows 情報保護 | DeviceManagementApps.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、deviceManagement オブジェクトの JSON 表記を指定します。
次の表に、deviceManagement の作成時に必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | デバイスの一意の識別子。 |
| デバイス構成 | ||
| intuneAccountId | GUID | 特定のテナントの Intune アカウント ID |
| legacyPcManangementEnabled | Boolean | このアカウントで MDM 以外の管理レガシ PC 管理を有効にするプロパティ。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 |
| maximumDepTokens | Int32 | テナントごとに許可される DEP トークンの最大数。 |
| settings | deviceManagementSettings | アカウント レベルの設定。 |
| デバイスの管理 | ||
| accountMoveCompletionDateTime | DateTimeOffset | テナント データ&スケールユニット間で移動した日時を指定します。 |
| adminConsent | adminConsent | 管理者の同意情報。 |
| deviceProtectionOverview | deviceProtectionOverview | デバイス保護の概要。 |
| managedDeviceCleanupSettings | managedDeviceCleanupSettings | デバイスのクリーンアップ ルール |
| subscriptionState | deviceManagementSubscriptionState | テナントのモバイル デバイス管理のサブスクリプション状態。 可能な値は、pending、active、warning、disabled、deleted、blocked、lockedOut です。 |
| subscriptions | deviceManagementSubscriptions | テナントのサブスクリプション。 使用可能な値: none、intune、office365、intunePremium、intune_EDU、intune_SMB。 |
| windowsMalwareOverview | windowsMalwareOverview | Windows デバイスのマルウェアの概要。 |
| オンボーディング | ||
| intuneBrand | intuneBrand | intuneBrand には、会社のポータル アプリケーションとエンド ユーザーの Web ポータルの外観のカスタマイズに使用するデータが含まれています。 |
要求本文プロパティのサポートは、ワークフローによって異なります。
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文で更新された deviceManagement オブジェクトを返します。
例
要求
デバイス管理ワークフローに続く要求の例を次に示します。
PATCH https://graph.microsoft.com/beta/deviceManagement
Content-type: application/json
Content-length: 751
{
"subscriptionState": "active",
"subscriptions": "intune",
"adminConsent": {
"@odata.type": "microsoft.graph.adminConsent",
"shareAPNSData": "granted"
},
"deviceProtectionOverview": {
"@odata.type": "microsoft.graph.deviceProtectionOverview",
"totalReportedDeviceCount": 8,
"inactiveThreatAgentDeviceCount": 14,
"unknownStateThreatAgentDeviceCount": 2,
"pendingSignatureUpdateDeviceCount": 1,
"cleanDeviceCount": 0,
"pendingFullScanDeviceCount": 10,
"pendingRestartDeviceCount": 9,
"pendingManualStepsDeviceCount": 13,
"pendingOfflineScanDeviceCount": 13,
"criticalFailuresDeviceCount": 11
},
"accountMoveCompletionDateTime": "2017-01-01T00:01:17.9006709-08:00"
}
応答
以下は、応答の例です。
注: 簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。 返されるプロパティは、ワークフローとコンテキストによって異なります。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 855
{
"@odata.type": "#microsoft.graph.deviceManagement",
"id": "0b283420-3420-0b28-2034-280b2034280b",
"subscriptionState": "active",
"subscriptions": "intune",
"adminConsent": {
"@odata.type": "microsoft.graph.adminConsent",
"shareAPNSData": "granted"
},
"deviceProtectionOverview": {
"@odata.type": "microsoft.graph.deviceProtectionOverview",
"totalReportedDeviceCount": 8,
"inactiveThreatAgentDeviceCount": 14,
"unknownStateThreatAgentDeviceCount": 2,
"pendingSignatureUpdateDeviceCount": 1,
"cleanDeviceCount": 0,
"pendingFullScanDeviceCount": 10,
"pendingRestartDeviceCount": 9,
"pendingManualStepsDeviceCount": 13,
"pendingOfflineScanDeviceCount": 13,
"criticalFailuresDeviceCount": 11
},
"accountMoveCompletionDateTime": "2017-01-01T00:01:17.9006709-08:00"
}
フィードバック
フィードバックの送信と表示